Withdraw from a Card
curl --request POST \
--url https://api.payvessel.com/pms/api/external/request/virtual-cards/{card_id}/withdraw/ \
--header 'Content-Type: <content-type>' \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-secret>' \
--data '
{
"amount": "5.00"
}
'import requests
url = "https://api.payvessel.com/pms/api/external/request/virtual-cards/{card_id}/withdraw/"
payload = { "amount": "5.00" }
headers = {
"api-key": "<api-key>",
"api-secret": "<api-secret>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'api-key': '<api-key>',
'api-secret': '<api-secret>',
'Content-Type': '<content-type>'
},
body: JSON.stringify({amount: '5.00'})
};
fetch('https://api.payvessel.com/pms/api/external/request/virtual-cards/{card_id}/withdraw/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Virtual card creation started",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"card_name": "<string>",
"masked_pan": "<string>",
"currency": "<string>",
"brand": "<string>",
"balance": "<string>",
"expiry": "<string>",
"card_number": "<string>",
"cvv": "<string>",
"created_datetime": "2023-11-07T05:31:56Z",
"updated_datetime": "2023-11-07T05:31:56Z"
}
}{
"error": 401,
"message": "Unauthorized. Please check your API key."
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Issuing
Withdraw from a Card
Move USD from a virtual card back to your business wallet
POST
/
pms
/
api
/
external
/
request
/
virtual-cards
/
{card_id}
/
withdraw
/
Withdraw from a Card
Headers
Your Payvessel public API key
Your Payvessel secret
Request content type
Available options:
application/json Path Parameters
PayVessel card ID
Body
application/json
USD amount (e.g. 25.00). Withdraw minimum 3.00
Example:
"25.00"
⌘I
